/*
 * Copyright (c) 2021 okubo toshihiro
 *
 * Released under the MIT license.
 * see https://opensource.org/licenses/MIT
 *
 */
#ifndef __ADV_WRITER_HXX
#define __ADV_WRITER_HXX

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <string>
#include <vector>
#include <map>
#include "Adv/AdvDocument.h"

using namespace std;

class AdvWriter
{

  FILE*        _fin;
  AdvDocFile*  _adv;
  AdvDocument* _doc;

  map<string, string> _keyValue;
public:
   AdvWriter();
  ~AdvWriter();

  int   attributeType(string attriName);
  bool  read(char* inputFileName,char* outputFileName);
  bool  writeProperty();
  bool  writeData();
  bool  split(char*  buff, const  char* delim,  vector<string>& returnContents);
  bool  trim(char* s);
};

#endif
